/*
  1、生成文件不建议编辑，因为在每次编译后会重置
  2、style标签可以写多个，且有两种属性， scoped：是否私有，root：在scoped的基础上是否根节点， 且只会对第一个css选择器进行处理，因为没有必要对多个（实在有多个就多写几个style标签）
  3、文件名即为组件名，有大写是调用需使用(-小写字母)替代，因为html不区分大小写
  4、被同一html文件引用的组件之间，可以互相调用
  5、更多请关注 https://www.npmjs.com/package/wp-vuetojs
*/

function vuetojsAddClass(content) {
  let styleElement = document.getElementById("styleSelf");
  if (!styleElement) {
    styleElement = document.createElement("style");
    styleElement.type = "text/css";
    styleElement.id = "styleSelf";
    document.head.appendChild(styleElement);
  }
  let oldStyle = styleElement.innerText;
  styleElement.innerHTML = oldStyle+"\n"+content+"\n";
}
